Skip to Content

Delete an agent

Deletes an agent with its draft and published versions.

DELETE
/v1/agents/{id}

Deletes an agent with its draft and published versions. The endpoints it answered on stop being answered by an agent. A reply already running finishes on the version it started on.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^agt_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

DeleteAgentResponse

application/json
  1. response
id*AgentId
Match^agt_[0-9a-hjkmnp-tv-z]{16,24}$
deleted*true
Value intrue
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.agents.remove({
  "id": "example"
});
Example Response
{
  "id": "string",
  "deleted": true
}

Related documentation